defmodule ExMultipass.TestFixtures do
  @moduledoc false

  def rails_encrypted_string do
    "-Oq8il_9LUcHpkCg1W7mzOaGi-Wax25X2vaX_XElBIzPIwKZwTZCAVmGhUuTqS7Lc38Y3DZgEX1j3n2e3NQxdcjFxIBuM2E5UcX6U6o_f5ncYzt8IKZ1k92bWk_qNy_vciBbuu1uvHQU8PJdPpgCiJ8qTxRqASGI6TYEXHRnTkJ6kvUDybHzspAegWmnlKr8KeB8PyR-FZCs_kO6tuUCA387iWNyYh0EcCDmNVA-gyJXA_T1-y734zEwaPVegv-BukCQOjPWFgtk04FU0Db6pymD21q5JQxn0WTciVgG3zCliI3a1IdPV-RNr7kdpv8lKOhdKK_xz3hg_x9lxw4TmhsNmkdFvGdQ0SC0YKaYeWieIhWrUMKeQq4NbzfyEFj7QejmEGU57UXHMMAjunKc-bX2SAmxKM3-VUgoBHZs5JxaDF-VXi_RapwzTvUJH1iS0xvs5caAqqZu9geVOARKME64T8wmCd6Rz3HSLurXISeXaa7X8XXLUtCqr9jv4gytTIyiEUly24WDkssQ4eRles4ezSFZz6wAcclM-rYJsHePmxt8hw9rorWthlen9c0Jio2onwlD4zvLeowfMHw1DCHM9gFj9ydScHZplOO5plmwE0vxcM4KRV1rQYwUirlz_7OowE_OAb5AifZy8ZfkuZo-Zbh8sQyBN8SBoSEhRhF8M60kcBXvoRnRVlpM6qCTW38oG7WmAcjJViFTcRi3bouLOArev_O__006BcPYm7-dDZoYEHiJ7Rw89MkaElRbF2h5UrthX-xoEUCQI_ronY0LkvcTQoXhLXFAEdqKhuDGojBlk_hPIno8X4FdBg1RO0-pCWZGh1wB2K9jSXrdShr8GDYtlgRL3QPEfE8Fue-xfzHQ0W6CbcYo4G_Pqs2XKbhq3WGcVAFvaWXCRU-D1TDxlQ0jDSFO6TL3ZH0eoPmz_17cxwYwVFKbs2_hdCoOIzeiF0PIVK8fOrmIEMI_2t8lHHccK27rccQQ9jZ8UI5IcE_3dY95P_QMC-TZThg548Zt0QTsuauYgsXFv73bMfmtYllI5_nE7BNgfSEXFXGMjhg2BfbDDDz_LpNHyDu5fuGVH20ZjqupBDGZJQaYMcCJmZV6cbHfdHMJlnPwJJGCT8E3O3T0YS_EujVBANa9bFOYyY6UqWFYJxI5SZVtcSMiT-obCax5s2G8-R5YarxLzC17ANIS2GhO-7g57k0c4NLaT0eImoa9FdJghwIj6XPeMqQRH8iu_2ifihlEIUy6qOwACGcykVqGnTZbSbTbaVOyRp3rHd8G8lCNhjb1FU6YCvtkUrM9Jjv6JBFKb8tslRWyjlgJghvMPY8ZFQcql63m3hKuI49A_oW6h-dpRqUBH356_77mr8mjE9Bq-FLPt9pQu2mp4WpsxFZ4vnXWNB_mBAajvptYbhhH73KHU597I2i5SWW9Eb4Q_AQZFgyg_Z9HU-29xNmYx9nu-QdNf_R3hAg56g4CBTvn69OCDWBBXA8Us5TKugSUF4G2k4-BQKy0chzbF9OhotZh-JjHg1oFbz0PGWFbz7OgT_96E0hyhjtn9hZgnvKEJkdvUu03BWkOYhfolcxsOAyj48PjpGEMtOtQOwht7UuMQhoFHuvkIDx18_dikfqOYs0lTbECkvcFQxv_9lgGjuoXNT2RcEoTpVQ7Z2-hrcZH2mlpj4z-al9lS389sLR1sJWBXDAx6lJAHno5uRM9O2paOKGrMQlEjI4nF0QTVLHASdETx1eVg2owgJe1_5poqavZ3Au9W5S8IEl8zO_fkZlBtoB7qkzpXph9fv22mmuDBLveksSTSKAbJsi_84iPTuE623oIiA6B4TBO8ZCuYnwF1PhFoxPHKU9yatb70fGhD1nDWE1Y2oXD2txZ071RvifUlQZx82585uSVdvX2kYBwq-3NXb8m2VUThlMpA_vqfE4ag_euqQwi5epTsoY6BozAKCpNt5zufoNapTGGfA4J4jn53NXb1Ed0Y-4JLMDWOZtRqZMQTs1hQtR7FrBIaQVv35CeMppTmyftFrnMXb8w6V_yQB_5xFdU0mBqrEvjG4nBuQU-oKLO-wUfNcMjYLTURazFSSfeQ6eepKkCrLrxlII21cwgci1CchIgTCVUkFA1pHainfE1LXZhQ3XZ41TEcbVHPKCP2JW-PjKaF1WICC1vtTqLwvXxpYIrB22uGa5AzslkH0WWEzxIHIppAARwDVQO6GPjJC3vJKVfClAR77MFUg8xHDx2fBKSkM2O8kmjl4qUjuxzQl5wbzfgkVWS2x2Kp-X6DxGyXjmyGuy8eSGsIqujPYq6AZz_rhZPjCf-atCJ_hO546OY95OU0KGhr47SPcyhtbPUUtVmO49d1F6vmT_B-7nUQ3TaSfk66HiD0kayAZ6ApmaDFlG5caikshiS5H9KejgzTa_4Daf8QKtFEhwTOP6XYkj3SnB9KKWbMCcYVLg_9Xxes8YQ-W1z97EtNISF1JrqJvwQtkBHTJ3_nAXW8qvqd1bd1wcjfsmT9psp9ziWSoMLDF2E8Ve2k3c0Tbt-x3irq25R2fz8HTXrPENNb8PVIMlmWA5i_68mHsdaNSQ-sKhyN2tCP2KJCAp3ytyTjOYU7pFWGGrJMqqFadPV3dW8Pu0uMjJnS2LGdPIsE1jGckqFuSCk7bR1PkOWYJhKAYKZ8ulRwYHGObkm9xeGkHCBxFd__KMUw3ZoIJky4AWcotCv2GDppJBNgiaMr7Q-VX3jZ9QKLb3e7u8zX3GZN1XKJvB8QUW3kGEOjhwd6R_CTI4u8rhP-y6_T9W_gEEtOUSQrBVcJ6_yoYGr0gvZL2M2DiDvvdqDJUhSU5CSNlG_tjMarIcpbIe2p8kFDJrWuhPfAiUm4SbQB0T2wS6-_xckhKFH9wKcv81YZPmAFRb6Xq_5GgsvHDH19uXEgspKzY5K7n7bdAlHeNHZ4gRn5Ee61UK_MTHZQYu0dek5sCNj0yUThpvvTHvby0gQ2f2GgyEzahrSjMkneKOg3ihVn6Kw9MhLiL31Mxo6V2xnP0k-eD1WzJPeT4ZsvsvOAhDcc0NcrPUWy2qgS_7KrYDAucjYqr-jbthuZJcWQpEBFPg1KhR5ZDlv_JaCVtG4Q91ihzNbdtDNCg6opEA6Z6YFSWUDJMDvbel4PFudlSMxPS9N1cq9Ppxa_f42YNgPCiEKIMgIGvyj5Gpx-NiKhhkSFZLjyV4nvIf1PiSsLmm9_XoAvwQG7ecM-ZnZ74f8a1ayoI9mcLek01g5xyv9qp036GieBoghx3yhlffNsO4Ph6RxjBHimsTiIitW4rWk6VfAcnq01ocrS3NZlrA14gkblZv9cK6B3t-NgQdBFedQsW3eIubDS7vZlkEFUB8L7rVG-ktgm0zZ-JK5xvmtdMwBS77mtuvBVPFapmL0yAV5g9xu_R-8KoIrVN2yXL_C-lQIFPeYQUXexK-U_Ud9KZk-tVGzJfYOPNjgsx1df6Z_wPjtdI722_CFENqZ4XEQgabiN-wGMUaJpaGJzAUMIkMNEW49D_O-AFcdTKEBOjqW-wO6i1dunvtlYWu1VOVTiEZQpq4pepSHM-N7PtIceVUrvPlzVLsrx5M6PSmasiBVKXMrjf-1B6C4ClLQzAc"
  end

  def rails_expected_map do
    %{
      "account" => %{
        "api_key" => "00d27194bc758f97dd9e0b6659d00d54",
        "cancelled_at" => nil,
        "coupon_code" => "",
        "current_period_ends_at" => "2019-05-31T23:59:59.000-05:00",
        "current_period_started_at" => "2019-05-01T00:00:00.000-05:00",
        "enterprise" => true,
        "id" => "5ce6c95702182377b40e3dc9",
        "keen_project_id" => "123",
        "keen_read_api_key" => "789",
        "keen_write_api_key" => "456",
        "marketing_reference" => nil,
        "name" => "Kovacek-Dietrich",
        "started_at" => "2012-01-01T14:00:00.000-06:00",
        "subscription_id" => "5ce6c95802182377b40e3dd2",
        "time_zone" => "Central Time (US & Canada)"
      },
      "accounts" => [],
      "api_key" => "992d6f4f098a212ab9a9baeaf18e8881",
      "company_name" => "Kovacek-Dietrich",
      "component_pricing" => [
        %{
          "_type" => "TieredComponent",
          "id" => "noncpmtiered",
          "name" => "Non CPM Tiered",
          "tiers" => [
            %{"end_qty" => 100_000, "start_qty" => 1, "unit_price" => "0.01"},
            %{
              "end_qty" => 250_000,
              "start_qty" => 100_001,
              "unit_price" => "0.009"
            },
            %{
              "end_qty" => 500_000,
              "start_qty" => 250_001,
              "unit_price" => "0.008"
            },
            %{"end_qty" => "*", "start_qty" => 500_001, "unit_price" => "0.006"}
          ],
          "unit" => "append"
        },
        %{
          "_type" => "TieredComponent",
          "id" => "tiered",
          "name" => "Tiered",
          "tiers" => [
            %{"end_qty" => 20, "start_qty" => 1, "unit_price" => "0.0"},
            %{"end_qty" => 40, "start_qty" => 21, "unit_price" => "1.0"},
            %{"end_qty" => "*", "start_qty" => 41, "unit_price" => "0.5"}
          ],
          "unit" => "unit"
        },
        %{
          "_type" => "OnOffComponent",
          "id" => "on_off",
          "name" => "On/Off",
          "unit" => "unit",
          "unit_price" => "100.0"
        },
        %{
          "_type" => "FlatComponent",
          "id" => "flat",
          "name" => "Flat",
          "unit" => "unit",
          "unit_price" => "1.0"
        },
        %{
          "_type" => "FlatComponent",
          "id" => "thousand",
          "name" => "Thousand Units",
          "unit" => "thousand unit",
          "unit_price" => "1.0"
        },
        %{
          "_type" => "OnOffComponent",
          "id" => "declined_transaction",
          "name" => "Declined Transaction",
          "unit" => "unit",
          "unit_price" => "1805.0"
        },
        %{
          "_type" => "VolumePriceComponent",
          "id" => "volume_price",
          "name" => "Volume Price",
          "tiers" => [
            %{"end_qty" => 200, "start_qty" => 1, "unit_price" => "0.01"},
            %{"end_qty" => 400, "start_qty" => 201, "unit_price" => "0.008"},
            %{"end_qty" => "*", "start_qty" => 401, "unit_price" => "0.005"}
          ],
          "unit" => "unit"
        }
      ],
      "created_at" => "2019-05-23T11:24:55.502-05:00",
      "email" => "brett@roberts.uk",
      "first_name" => "Jordane",
      "id" => "5ce6c95702182377b40e3dc6",
      "last_name" => "Paucek",
      "phone" => "695-971-2936",
      "products" => [
        %{
          "base_url" => "http://app.fakeproduct.local:4567",
          "id" => "fakeproduct",
          "marketing_url" => nil,
          "name" => "FakeProduct",
          "subscribed" => true
        },
        %{
          "base_url" => "http://leadconduit.test",
          "id" => "lcx",
          "marketing_url" => "http://www.leadconduit.test",
          "name" => "LeadConduit",
          "subscribed" => false
        },
        %{
          "base_url" => "http://suppressionlist.test",
          "id" => "suppressionlist",
          "marketing_url" => "http://www.suppressionlist.test",
          "name" => "SuppressionList",
          "subscribed" => false
        },
        %{
          "base_url" => "http://trustedform.test",
          "id" => "trustedform",
          "marketing_url" => "http://www.trustedform.test",
          "name" => "TrustedForm",
          "subscribed" => false
        }
      ],
      "role_string" => nil,
      "subscription_admin" => false,
      "superuser" => false,
      "user_admin" => false,
      "expires" => ""
    }
  end
end
